Bug 1122323 - Support new powerpc64le architecture
Summary: Support new powerpc64le architecture
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: strace
Version: rawhide
Hardware: ppc64le
OS: Linux
high
high
Target Milestone: ---
Assignee: Dmitry V. Levin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-07-22 23:52 UTC by Mark Hamzy
Modified: 2014-07-25 14:23 UTC (History)
4 users (show)

Fixed In Version: strace-4.8-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1122390 (view as bug list)
Environment:
Last Closed: 2014-07-25 14:23:32 UTC


Attachments (Terms of Use)

Description Mark Hamzy 2014-07-22 23:52:01 UTC
diff --git a/configure.ac b/configure.ac
index c4896f3..9da359e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -54,7 +54,7 @@ alpha*)
 powerpc*)
        arch=powerpc
        AC_DEFINE([POWERPC], 1, [Define for the PowerPC architecture.])
-       if test $host_cpu = powerpc64; then
+       if test $host_cpu = powerpc64 -o powerpc64le; then
                AC_DEFINE([POWERPC64], 1, [Define for the PowerPC64 architecture.])
        fi
        ;;

Comment 1 Mark Hamzy 2014-07-22 23:55:14 UTC
Also, the local file git-version-gen is installed via:

[root@ppc64lehamzytest2 ~]# yum provides */git-version-gen
gnulib-devel-0-8.20140504git.fc21.noarch : Devel files of gnulib
[root@ppc64lehamzytest2 ~]# yum install -y gnulib-devel
[root@ppc64lehamzytest2 ~]# rpm -ql gnulib-devel.noarch | grep git-version-gen
/usr/share/gnulib/build-aux/git-version-gen
/usr/share/gnulib/modules/git-version-gen
[root@ppc64lehamzytest2 ~]# cp /usr/share/gnulib/build-aux/git-version-gen ~/rpmbuild/BUILD/strace-4.8/

Correct?

Comment 2 Dan Horák 2014-07-23 06:52:43 UTC
The symptom is

...
+ make check
make  check-recursive
make[1]: Entering directory `/builddir/build/BUILD/strace-4.8'
Making check in tests
make[2]: Entering directory `/builddir/build/BUILD/strace-4.8/tests'
make  net-accept-connect
make[3]: Entering directory `/builddir/build/BUILD/strace-4.8/tests'
gcc -DHAVE_CONFIG_H -I. -I..    -Wall -Wwrite-strings -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64 -c net-accept-connect.c
gcc -Wall -Wwrite-strings -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m64  -Wl,-z,relro  -o net-accept-connect net-accept-connect.o  
make[3]: Leaving directory `/builddir/build/BUILD/strace-4.8/tests'
make  check-TESTS
make[3]: Entering directory `/builddir/build/BUILD/strace-4.8/tests'
PASS: ptrace_setoptions
PASS: strace-f
PASS: qual_syscall
execve("/usr/bin/find", ["find", "sample"], [/* 32 vars */]) = 0
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libselinux.so.1", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libm.so.6", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libpcre.so.1", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/liblzma.so.5", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
open("/lib64/libpthread.so.0", O_RDONLY|O_CLOEXEC) = 3
statfs("/sys/fs/selinux", 0x3fffc05f3750) = -1 ENOENT (No such file or directory)
statfs("/selinux", 0x3fffc05f3750)      = -1 ENOENT (No such file or directory)
open("/proc/filesystems", O_RDONLY)     = 3
open(".", O_RDONLY)                     = 3
newfstatat(AT_FDCWD, "sample", {st_mode=01, st_size=46118400000, ...}, AT_SYMLINK_NOFOLLOW) = 0
+++ exited with 0 +++
stat: failed test: strace -efile failed to trace fstatat/fstatat64 properly
FAIL: stat
PASS: net
===================================================
1 of 5 tests failed
Please report to strace-devel@lists.sourceforge.net
===================================================
make[3]: Leaving directory `/builddir/build/BUILD/strace-4.8/tests'
make[3]: *** [check-TESTS] Error 1
...

Comment 3 Dmitry V. Levin 2014-07-23 07:04:23 UTC
It was fixed upstream (commit v4.8-51-g9afc2ee):
http://sourceforge.net/p/strace/code/ci/9afc2ee682d2f9fd3ad938756c841d7f0eed5f21/~/

Comment 4 Dan Horák 2014-07-23 07:08:22 UTC
Thanks for info, but we need an updated package built for f21 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.